Learn a Language Kids & Teens Global Leadership Training Book Online
 
System Requirements CyberTeachers

CyberTeachers - System requirements

A computer or any mobile device with an Internet connection, equipped with:

Operating systems:
  • Windows 2000 (SP2), XP, VISTA or Windows 7 (for PC); or Mac Os X 0.4 or later (for Mac)
Browsers:
  • Internet Explorer 7.0, Firefox 3.0, Safari 3.1.2 (or higher versions)
  • Plug-in Adobe Flash Player 9 (or higher versions)
  • Sound card
Acessories:
  • headphones (or speakers) and a microphone
Mobile operating systems:
  • IPhone OS 4.0, Windows Mobile 6, Android 1.5, Symbian OS s60, BlackBerry OS6 (or higher versions)
Mobile browsers:
  •  Internet Explorer 6.0, Safari mobile, Opera mini 4.2 et mobile, Nokia s60 (or higher versions)